Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm
Interface IALNodeProperties

All Known Subinterfaces:
  IALChannelDescription, IALFolderDescription, IALNodeDescription

All Known Implementing Classes:
  ALChannelDescription, ALFolderDescription

    public interface IALNodeProperties

An interface describing methods common to the Aggregated Layout node descriptions. Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  1.0 $Revision: 1.1 $ $Date: 2005/05/03 20:40:47 $
Author:
  Peter Kharchenko

Method Summary
`void` | `addRestriction(IUserLayoutRestriction restriction)` Adds the restriction for this node.
`void` | `addRestrictionChildren(org.w3c.dom.Element node, org.w3c.dom.Document root)`
`java.lang.String` | `getFragmentId()` Get fragment id
`java.lang.String` | `getFragmentNodeId()` Get fragment node id
`java.lang.String` | `getGroup()` Gets the priority value for this node.
`IUserLayoutRestriction` | `getRestriction(java.lang.String restrictionName)` Gets a restriction by the type.
`java.util.Hashtable` | `getRestrictions()` Gets the hashtable of restrictions bound to this node
`java.util.Vector` | `getRestrictionsByPath(java.lang.String restrictionPath)` Gets a restrictions list by a restriction path.
`void` | `setFragmentId(java.lang.String fragmentId)` Set fragment id
`void` | `setFragmentNodeId(java.lang.String fragmentNodeId)` Set fragment node id
`void` | `setGroup(java.lang.String group)` Sets the group identificator for this node.
`void` | `setRestrictions(java.util.Hashtable restrictions)` Sets the hashtable of restrictions bound to this node

Method Detail

### setFragmentId

    void setFragmentId(java.lang.String fragmentId)

  Set fragment id

  Parameters:
    `fragmentId` - a `String` value

### getFragmentId

    java.lang.String getFragmentId()

  Get fragment id

  Returns:
    a `String` value

### setFragmentNodeId

    void setFragmentNodeId(java.lang.String fragmentNodeId)

  Set fragment node id

  Parameters:
    `fragmentNodeId` - a `String` value

### getFragmentNodeId

    java.lang.String getFragmentNodeId()

  Get fragment node id

  Returns:
    a `String` value

### setGroup

    void setGroup(java.lang.String group)

  Sets the group identificator for this node.

  Parameters:
    `group` - a `String` group identificator value

### getGroup

    java.lang.String getGroup()

  Gets the priority value for this node.

### setRestrictions

    void setRestrictions(java.util.Hashtable restrictions)

  Sets the hashtable of restrictions bound to this node

  Parameters:
    `restrictions` - a `Hashtable` of restriction expressions

### getRestrictions

    java.util.Hashtable getRestrictions()

  Gets the hashtable of restrictions bound to this node

  Returns:
    a set of restriction expressions

### addRestriction

    void addRestriction(IUserLayoutRestriction restriction)

  Adds the restriction for this node.

  Parameters:
    `restriction` - a `IUserLayoutRestriction` a restriction

### getRestriction

    IUserLayoutRestriction getRestriction(java.lang.String restrictionName)

  Gets a restriction by the type.

  Parameters:
    `restrictionName` - a `String` name of the restriction
  Returns:
    a IUserLayoutRestriction

### getRestrictionsByPath

    java.util.Vector getRestrictionsByPath(java.lang.String restrictionPath)

  Gets a restrictions list by a restriction path.

  Parameters:
    `restrictionPath` - a `String` restriction path
  Returns:
    a IUserLayoutRestriction

### addRestrictionChildren

    void addRestrictionChildren(org.w3c.dom.Element node,
                                org.w3c.dom.Document root)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD